<?php
 $id = $_POST["numero"];
$cuotas = $_POST["cuotas"];
///$total = $_POST["total"];
$usuario = $_COOKIE["usuario"];
if($_POST["cuotas"]=="" or $id==""){
    echo "No ha seleccionado el prestamo o la cuota a pagar";
    sleep(2);
   
       echo "<script>
	            var param;
	            param ='id=$id';
				param +='&id_cuota=$cuota';
	            window.location.href='cuotas.php?'+param;
	        </script>";
	        return;
}

require_once("../../php/config.php");
$sql_cuotas= mysql_query("select * from cuotas where id<='$cuotas' and id_prestamo='$id' and balance>0") or die(mysql_error());
while($r=mysql_fetch_array($sql_cuotas)){
    $capital+=$r["balance_capital"];
    $interes+=$r["balance_interes"];
    $total+=$r["balance"];
    ////$cliente=$r["cliente"];
    $id_cuota=$r["id"];
    $ncuota=$r["numero"];
}

$sql_pp= mysql_query("select * from prestamos where id_prestamo='$id'") or die(mysql_error());
while($rpp=mysql_fetch_array($sql_pp)){
 
    $cliente=$rpp["cliente"];
 
}


$x = mysql_query("insert into cobros set capital='$capital',
                                         interes='$interes',
                                         total='$total',
                                         cliente='$cliente',
                                         id_prestamo='$id',
                                         usuario='$usuario',
                                         fecha=CURDATE(),
                                         hora=NOW(),
                                         cuota='$ncuota',
                                         id_cuota='$id_cuota'") or die(mysql_error());
  


$h = mysql_query("update cuotas  set 
				                 balance_capital=0,
				                 balance_interes=0,
				                 balance=0 where id<='$cuotas' and id_prestamo='$id' and balance>0") or die(mysql_error());
$h = mysql_query("update prestamos  set 
				                 balance=balance - '$total' where id_prestamo='$id'") or die(mysql_error());
mysql_query("update prestamos  set 
				                 balance=0  where balance<1") or die(mysql_error());
	
	
echo "Pago grabado satisfactoriamente...";

  sleep(2);
     echo "<script>
	            var param;
	            param ='id_prestamo=$id';
				param +='&total=$total';
	            window.location.href='ticket_pago_prestamo.php?'+param;
	        </script>";
?>